Qt Reference Documentation

# Qt 3 Support Members for QWSServer

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QWSServer class reference

## Public Functions

| QWSServer ( int flags, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Static Public Members

void | setDesktopBackground ( const QImage & image )
void | setDesktopBackground ( const QColor & color )

## Member Function Documentation

### QWSServer::QWSServer ( int flags, QObject * parent, const char * name )

Use the two-argument overload and call the QObject::setObjectName() function instead.

### void QWSServer::setDesktopBackground ( const QImage & image )`[static]`

Sets the image used as background in the absence of obscuring windows, to be the given image.

Use the setBackground() function instead.

For example, if you have code like

     QImage image;
     setDesktopBackground(image);

you can rewrite it as

     QImage image;
     setBackground(QBrush(image));

### void QWSServer::setDesktopBackground ( const QColor & color )`[static]`

This is an overloaded function.

Sets the color used as background in the absence of obscuring windows, to be the given color.

Use the setBackground() function instead.

For example, if you have code like

     QColor color;
     setDesktopBackground(color);

you can rewrite it as

     QColor color;
     setBackground(QBrush(color));